> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Document

> Add a new document to a specified collection.



## OpenAPI

````yaml /openapi/product/appdb.yaml post /api/datastores/v1/collections/{collectionId}/documents
openapi: 3.0.0
info:
  title: App DB API
  version: v1
  description: |
    The App DB API allows developers to interact with AppDB, a NoSQL database 
    for storing arbitrary JSON documents. This API supports CRUD operations, 
    querying, and aggregation, enabling developers to manage data efficiently 
    within their Domo applications.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: Documents
    description: Manage individual documents in an AppDB collection.
  - name: Collections
    description: Manage AppDB collections (schema, permissions).
paths:
  /api/datastores/v1/collections/{collectionId}/documents:
    post:
      tags:
        - App DB API (Product)
      summary: Create Document
      description: Add a new document to a specified collection.
      parameters:
        - name: collectionId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the collection.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentContent'
      responses:
        '200':
          description: OK (Response body is not documented)
components:
  schemas:
    DocumentContent:
      type: object
      required:
        - content
      properties:
        content:
          type: object
          additionalProperties: true
          description: Arbitrary JSON content of the document.
      example:
        content:
          username: Bill
          band: Wyld Stallyns
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````